import PackagesIsExist from "./packagesExist.js";
import PackagesCheck from "./packages.js";
import ConfigCheck from "./config.js";
import APICheck from "./api.js";
import VersionCheck from "./version.js";
import LegalCheck from "./legal.js";
import config from "../config.js";

export default async function Check() {
  PackagesIsExist();
  PackagesCheck();
  ConfigCheck();
  if (config.debug === undefined) {
    LegalCheck()
  }
  await APICheck();
  await VersionCheck();
}
